summaryrefslogtreecommitdiff
path: root/toolchain/dependencies
diff options
context:
space:
mode:
authorBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-06-26 13:26:51 +0000
committerBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-06-26 13:26:51 +0000
commit0abc368c5ce6454aafe36f3cbe124225c89133ff (patch)
treec8f9d22f68cc10e07d9a2da9c729e9346c98614b /toolchain/dependencies
parentb127e7696b866820dbafdc51e3db6a695ffbfb00 (diff)
- check for clean environment variables ARCH, CROSS_COMPILE, GREP_OPTIONS
Diffstat (limited to 'toolchain/dependencies')
-rwxr-xr-xtoolchain/dependencies/dependencies.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index ec005d8a2..d1bccd247 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -61,6 +61,28 @@ if test -n "$CXXFLAGS" ; then
fi;
echo "CXXFLAGS clean: Ok"
+if test -n "$GREP_OPTIONS" ; then
+ echo "GREP_OPTIONS clean: FALSE"
+ /bin/echo -e "\n\nYou must run 'unset GREP_OPTIONS' so buildroot can run with";
+ /bin/echo -e "a clean environment on your build machine\n";
+ exit 1;
+fi;
+
+if test -n "$CROSS_COMPILE" ; then
+ echo "CROSS_COMPILE clean: FALSE"
+ /bin/echo -e "\n\nYou must run 'unset CROSS_COMPILE' so buildroot can run with";
+ /bin/echo -e "a clean environment on your build machine\n";
+ exit 1;
+fi;
+
+if test -n "$ARCH" ; then
+ echo "ARCH clean: FALSE"
+ /bin/echo -e "\n\nYou must run 'unset ARCH' so buildroot can run with";
+ /bin/echo -e "a clean environment on your build machine\n";
+ exit 1;
+fi;
+
+
echo "WORKS" | grep "WORKS" >/dev/null 2>&1
if test $? != 0 ; then
echo "grep works: FALSE"